## jquery.sparkline 2.1.2

=== Makefile ===
SRC_DIR = src
DIST_DIR = dist
COMPILER ?= `which uglifyjs` --no-copyright


SRC_FILES = $(SRC_DIR)/header.js\
	$(SRC_DIR)/defaults.js\
	$(SRC_DIR)/utils.js\
	$(SRC_DIR)/simpledraw.js\
	$(SRC_DIR)/rangemap.js\
	$(SRC_DIR)/interact.js\
	$(SRC_DIR)/base.js\
	$(SRC_DIR)/chart-line.js\
	$(SRC_DIR)/chart-bar.js\
	$(SRC_DIR)/chart-tristate.js\
	$(SRC_DIR)/chart-discrete.js\
	$(SRC_DIR)/chart-bullet.js\
	$(SRC_DIR)/chart-pie.js\
	$(SRC_DIR)/chart-box.js\
	$(SRC_DIR)/vcanvas-base.js\
	$(SRC_DIR)/vcanvas-canvas.js\
	$(SRC_DIR)/vcanvas-vml.js\
	$(SRC_DIR)/footer.js


VERSION = $(shell cat version.txt)

all: jqs-gzip jqs-min-gzip Changelog.txt
	cp Changelog.txt dist/

jqs: ${SRC_FILES}
	cat ${SRC_FILES} | sed 's/@VERSION@/${VERSION}/'  >${DIST_DIR}/jquery.sparkline.js

jqs-min: jqs
	cat minheader.txt | sed 's/@VERSION@/${VERSION}/' >dist/jquery.sparkline.min.js
	${COMPILER} dist/jquery.sparkline.js  >>dist/jquery.sparkline.min.js

jqs-gzip: jqs
	gzip -9 < dist/jquery.sparkline.js >dist/jquery.sparkline.js.gz
	
jqs-min-gzip: jqs-min
	gzip -9 < dist/jquery.sparkline.min.js >dist/jquery.sparkline.min.js.gz

=== debian/changelog ===
jquery.sparkline (2.1.2-4) unstable; urgency=low

  * debian/tests: rewrite test using selenium. Drop phantomjs.
    (Closes: #1111775)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 28 Aug 2025 23:25:51 +0100

jquery.sparkline (2.1.2-3) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Use secure URI in Homepage field
  * Bump debhelper from old 10 to 13
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * Update standards version to 4.6.0, no changes needed

  [ Yadd ]
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Fix debian/watch

 -- Yadd <yadd@debian.org>  Thu, 25 Nov 2021 17:26:01 +0100

jquery.sparkline (2.1.2-2) unstable; urgency=low

  [ Xavier Guimard ]
  * Fix debian/copyright license
  * Add upstream/metadata
  * Remove whitespaces

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Re-upload for source-only build.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 10 Nov 2019 02:31:59 +0800

jquery.sparkline (2.1.2-1) unstable; urgency=low

  * Initial release (Closes: #928504)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 06 May 2019 18:09:45 +0800

=== debian/control ===
Source: jquery.sparkline
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper-compat (= 13), nodejs (>= 6), uglifyjs
Standards-Version: 4.6.0
Homepage: https://omnipotent.net/jquery.sparkline
Vcs-Git: https://salsa.debian.org/js-team/jquery.sparkline.git
Vcs-Browser: https://salsa.debian.org/js-team/jquery.sparkline
Rules-Requires-Root: no

Package: libjs-jquery.sparkline
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: library for jQuery to generate sparklines
 This jQuery plugin generates sparklines (small inline charts) directly in
 the browser using data supplied either inline in the HTML, or via javascript.
 .
 The plugin is compatible with most modern browsers and has been tested with
 Firefox 2+, Safari 3+, Opera 9, Google Chrome and Internet Explorer 6, 7, 8,
 9 & 10 as well as iOS and Android.
 .
 The plugin was written by Gareth Watts for Splunk Inc.

=== debian/tests/control ===
Tests: test-pie-02
Depends: dbus-x11, libjs-jquery, python3-selenium, webkitgtk-webdriver, xvfb, @

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
 https://github.com/gwatts/jquery.sparkline/tags .*?(\d[\d\.]*)@ARCHIVE_EXT@
